commit 352f4da35ea9c0cce3812f96279315e31d1420ec
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Apr 16 22:27:46 2015 -0700

    setxkbmap 1.3.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c0eed7d27baad8078bc68f62dfea1e94116e4d67
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 21:16:31 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 984218d77c14128039d16db34a997263402d97f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 21:16:31 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbd3f086e2a4c90d0b44c02c92cf778a36ed97ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 21:16:11 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 56346c72127303a445a273217f7633c2afb29cfc
Author: Benno Schulenberg <bensberg@justemail.net>
Date:   Thu Aug 29 12:31:37 2013 +0200

    Fixing a small mistake in the man page -- s/comp/map/.
    
    And seizing the opportunity to tweak some of the wording.
    
    Signed-off-by: Benno Schulenberg <bensberg@justemail.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cd14edbc245ca7a34c6a7143ac40014a5bede217
Author: Benno Schulenberg <bensberg@justemail.net>
Date:   Thu Aug 29 12:18:20 2013 +0200

    Printing the program's version number on -version.
    
    Also unwrap a help-text line, as it looks neater and stays within
    80 characters, and alphabetize the -help option in the man page.
    
    Signed-off-by: Benno Schulenberg <bensberg@justemail.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    [squashed in: include "config.h" directive]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f5ffd59830ff5f4a4f337d56e7e8b4a1930a46e8
Author: Stéphane Aulery <lkppo@free.fr>
Date:   Tue Jul 2 00:06:55 2013 +0200

    Ensure consistency between the manpage and the output of the -h option
    
    This is in addition to the correction [1] for bug #524510 reported by Debian [2].
    
    [1] http://cgit.freedesktop.org/xorg/app/setxkbmap/commit/?id=2011f509c56b73cc62105c689d702f279f522017
    
    [2] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524510
    
    Signed-off-by: Stéphane Aulery <lkppo@free.fr>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cdc2551ef6d644073e3583177ead69ed32045bae
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 20:31:57 2013 -0800

    Use C99 struct initializer for cmdNames in applyComponentNames
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 19734cfead4b8c7a5d592fe0fe5634cb4a1ed34d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 20:31:56 2013 -0800

    Make len a size_t instead of converting back & forth to an int
    
    Gets rid of a number of clang warnings:
    setxkbmap.c:689:28: warning: implicit conversion loses integer precision:
        'unsigned long' to 'int' [-Wshorten-64-to-32]
            len = strlen(orig) + 1;
                ~ ~~~~~~~~~~~~~^~~
    setxkbmap.c:701:39: warning: implicit conversion changes signedness:
        'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            orig = (char *) realloc(orig, len);
                            ~~~~~~~       ^~~
    setxkbmap.c:707:32: warning: implicit conversion changes signedness:
        'int' to 'size_t' (aka 'unsigned long') [-Wsign-conversion]
            orig = (char *) calloc(len, 1);
                            ~~~~~~ ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3d5ce417ba1a8973b04516b0395f15e6500c60ea
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 20:31:55 2013 -0800

    Move global rules variable into applyRules, the only function that uses it
    
    Clears gcc warning:
    setxkbmap.c: In function `tryLoadRules':
    setxkbmap.c:811: warning: declaration of 'rules' shadows a global declaration
    setxkbmap.c:132: warning: shadowed declaration is here
    
    No longer marked static, since the function is called exactly once, so
    storing the value across calls seems pointless.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cac515f47457d9acac39ca43316f9e2af6a5b1b9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Mar 22 21:34:26 2012 -0700

    setxkbmap 1.3.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7500a5be5333999b50c564841772daf85b546a37
Author: Mehdi Dogguy <mehdi@debian.org>
Date:   Fri Feb 3 11:38:03 2012 +0100

    Mention xkeyboard-config(7) in setxkbmap(1)
    
    xkeyboard-config lists known keyboard models, layouts, variants,
    etc... which are needed to be able to correctly use setxkbmap.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a8916cff1f7d20f646d9a80931a5a40ac1592a6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 26 16:07:58 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Fixes many, but not all, of the warnings raised by this option
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit db4fb2da6739a88a4f9773064f7de6c71342ac1b
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Fri Feb 25 23:55:57 2011 +0300

    Minor style changes in help message.
    
    1.  `args' renamed to `options'. (xkbcomp and gcc name these entities
        `options').
    2.  `Where legal args are:' replaced with `Options:'. (Short and
        correct. As I remember, GNU does not recommend to use word
        `legal' unless it related to law and lawyers).
    3.  Option descriptions shifted right by 2 space. (Like gcc.)
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6ce6ab87472b7d227393ea1058424439168683cc
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Mon Feb 28 03:35:25 2011 +0300

    Few messages added for easier troubleshooting.
    
    If setxkbmap fails to load rules file, it is not possible to find
    out where setxkbmap looks for it. Increasing verbosity level does
    not help:
    
        $ ./setxkbmap -v 10
        Setting verbose level to 10
        locale is C
        Couldn't find rules file (evdev)
    
    The problem fixed by adding two messages: before loading file and
    after successful loading. Messages are displayed if verbosity level
    is 8 or higher:
    
        $ ./setxkbmap -v 10
        Setting verbose level to 10
        locale is C
        Trying to load rules file ./rules/evdev...
        Trying to load rules file /usr/local/share/X11/xkb/rules/evdev...
        Couldn't find rules file (evdev)
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e4387240c3c78014561fc2821cba5a944449599f
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Sat Feb 26 02:32:29 2011 +0300

    Consistent handling of memory allocation errors.
    
    Macro `OOM' ("Out of memory") introduced for checking and reporting
    memory allocation errors. The same macro is used in all the cases.
    
    One check was missed in original source; fixed.
    
    Changes after patch review:
    
        1. `OOM' macro uses `do ... while (0)'.
        2. `exit(-1)', not `abort()'.
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a9f39af2f4fa2add26d332914e500c6cfa57ef5d
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Feb 25 09:43:08 2011 +0500

    Removed unused arg subdir in function findFileInPath()
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2e16de3e81e0bbaa85462b4750fa9c3904658627
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Fri Feb 18 23:21:34 2011 +0300

    Minor style fixes.
    
    Few tabs replaced with spaces; pointers are written as
    "list_t *list" (no space between asterisk and variable name).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9ee200aa234c02d5beb843f58def9cdb3fa04156
Author: Lev Nezhdanov <lev.nezhdanov@gmail.com>
Date:   Fri Feb 18 23:00:55 2011 +0300

    Set of macros converted to enum type.
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0c411a3f8697ce756847fe1c2abc8d07a8a51d09
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 18 13:14:53 2011 +1000

    man: multiple layouts can be specified (#34118)
    
    Same applies to variant.
    
    X.Org Bug 34118 <http://bugs.freedesktop.org/show_bug.cgi?id=34118>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit ae3a9348d5d42448ea6a73940a2ed5e19090a00d
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Wed Feb 16 01:33:21 2011 +0300

    Refactoring the help message.
    
    1. Entire help message is printed at once (not line-by-line).
    2. Brackets around argumnets of -I option removed, since argument is mandatory.
    3. Added a space after comma in.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0b0763e1f444cabfab8a76c73d8d96892c72433e
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Tue Feb 15 23:51:16 2011 +0300

    Bug in searching config files fixed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 130998b172d892ea94daac2a06b7422977fad135
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Mon Feb 14 01:59:55 2011 +0300

    Data refactored: list_t introduced to keep list and its sizes together.
    
    From 49380ed12a0c451207cf5a12ca2c1e0c9c16c9e6 Mon Sep 17 00:00:00 2001
    From: Van de Bugger <van.de.bugger@gmail.com>
    Date: Mon, 14 Feb 2011 01:45:23 +0300
    Subject: [PATCH setxkbmap] Data refactored: list_t introduced to keep list and its sizes together.
    
    In older code there were 3 separate global variables: szOptions, numOptions,
    and options. All 3 variables are related: options is a list (array) of items,
    szOptions is the allocated size and numOptions is the number of used elements.
    3 more variables (szInclPath, numInclPath, inclPath) represent another list.
    
    list_t structure combines related info (pointer to array, allocated size, and
    number of used elements) together.
    
    Few functions changed to accept list_t argument instead of separated list and sizes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 98c159d97a5c628b8293b86ddf49d59a17c6c3a7
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Mon Feb 14 00:48:34 2011 +0300

    Data refactored: 3 separate arrays and set of macros merged into a struct.
    
    Bunch of XXX_NDX defines, and 3 arrays: `svName', `svSrc' and `svValue' are
    merged into one structure. Interace of 2 functions `trySetString' and
    `setOptString' changed: instead of receiving `which' argument of `int' type
    (an index to those arrays) the functions now receive `setting' argument, which
    hold everything about the setting: `name', `src', and `value', so the functions
    do not use global variables any more.
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e2bfdaacd980ff290526d386e1be346cb14cf440
Author: Van de Bugger <van.de.bugger@gmail.com>
Date:   Mon Feb 14 00:29:49 2011 +0300

    Tabs replaced with spaces; trailing spaces deleted.
    
    Signed-off-by: Van de Bugger <van.de.bugger@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit edb6fd1726146a85f166ffa34e361d88e8d386e8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 10 23:20:32 2011 -0800

    assigned value never used: "next" set at setxkbmap.c(654)
    
    If we go through the loop, next is overwritten on the very first line.
    If we don't go through the loop, next is never referenced again.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit ae3cfee9bd393d28159072a67360de57e64f48cd
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 10 22:53:46 2011 -0800

    Use snprintf instead of trying to pre-measure sprintf result sizes.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit fce78beab4b5f7ee99bf66d35c36b7ed12871d5a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 10 22:44:43 2011 -0800

    Bug 34151: Potential bug and buffer overflow due to misused rules filename
    
    https://bugs.freedesktop.org/show_bug.cgi?id=34151
    
    Use rfName consistently, instead of sometimes reverting to svValue[RULES_NDX]
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit 2011f509c56b73cc62105c689d702f279f522017
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Feb 9 23:42:44 2011 -0800

    Bug 34117: setxkbmap -I dir not accepted, despite man page
    
    Easy enough to accept the syntax documented in the man page, so accept
    the -I flag with or without a space between -I and the directory argument.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=34117
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit 60cd11cf0b83176e7c542e51a7e6a3eaea58401c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7bacea73e67e6882cef51840bb98d1bafb8f2291
Author: Stuart Kreitman <stuart.kreitman@oracle.com>
Date:   Tue Jan 18 22:33:34 2011 -0800

    Fix crash when when -device is specified without argument
    
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6971649
    
    Signed-off-by: Stuart Kreitman <stuart.kreitman@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 059eb4e0745b8a00f3d456c539eb0df714ed1b90
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e941a6947a7a893eee502a7efd57bcb04b837e65
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:02 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 6e3ff02b559dc92ed9b7ca7d9a629e389a619a73
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:49 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 12131d9f8a14a62e592f4db9193ed29593511d57
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 20:44:34 2010 -0700

    setxkbmap 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c2fe7cf4573a154032c4058d3dda4cc737f5efa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 20:40:23 2010 -0700

    config: remove AC_SUBST of CFLAGS & LIBS that PKG_CHECK_MODULES handles
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bbbe661b5b111836f9fb8adf9c3c329480008d60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 22 20:39:41 2010 -0700

    config: Remove AC_PROG_CC & AC_PROG_INSTALL that XORG_DEFAULT_OPTIONS provide
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d4ed95d3574f8dd562c4af527bf5309d3e50a8d8
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2f16193cb1926f1a1257b53e250598d6bb770eb1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 23 13:58:46 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Use platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 63327e1aae13e86b840bbbc816cb8cf9661ad4f9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 7 18:03:56 2010 -0500

    COPYING: replace stub with actual copyright notice
    
    Refer to setxkbmap.c
    Silicon Graphics Computer Systems, Inc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1447b0fe61683dcc6ed72d9e833474501ce2860c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 5c85e2069428229d6146681ba22822238c488c4a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit be882dbbcac30a347094286f93b8cc2459ed3b9b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 815fdaad442dbafb9b0f6c240486a9b92594b432
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 86d876cf4baff71f735b3dbe823333f6fd94d8a0
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:19 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit c229a714fc1fcef5d6189d6fae92b9899e8f0495
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 18:11:56 2009 -0700

    Change default XKB rules file from "xorg" to "base"
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 08fa8d42ec875802bbe34291b087abdc559f183e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 18:07:43 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 36288deba168dd2ca94630ffeab69f85461e33f8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 8 16:52:11 2009 -0700

    Add -query option to print current RLMVO settings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 41416fdee30424d78771511bea39eef95f718c2a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:19 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3a5518589ffb7d24e164dd9616cd1fbb8200f39a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jul 31 21:02:37 2009 -0700

    Comment typo fix
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 0f16d3da90c101e653b552dd3810b7c3092cb145
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 9 09:10:41 2009 +1000

    Bump to 1.1.0

commit 5dca07cec68fbfc75ef2002422215647ca5b8c03
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 15:54:41 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 4c3f466f67a7819a912a736f4f2a97262bdaf589
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Mon Dec 1 11:10:52 2008 +1000

    Check return value of calloc and realloc. #18759 and #18760
    
    X.Org Bug <http://bugs.freedesktop.org/show_bug.cgi?id=18759>
    X.Org Bug <http://bugs.freedesktop.org/show_bug.cgi?id=18760>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 3ba7cfd701d99b4b1fe1dd7eecd02d01c1dee74c
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Aug 12 14:44:03 2008 +0930

    Adding some explanatory comments.

commit f8c511568040d84b7ddc0bca5ba20757719bd808
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Aug 12 13:44:06 2008 +0930

    Indent consistently.
    
    indent -cbi 0 -nprs -nut -npcs -i4 -bli 0 *.c *.h

commit cb6160d289c7123f3bf0f708afed28f64c040daa
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Tue Aug 12 13:42:47 2008 +0930

    Remove RCS tags.

commit 5ced600eb9c1d4014bfc1e761190b869d59a4c4e
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:05 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 35d3e114ef3b0e6f56b38ddd9cac79e4c953ca85
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 23 17:18:26 2007 -0700

    Version bump: 1.0.4

commit 0a9044e26d1f8a2517c8e000b6f3afb169999ff3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 23 16:45:21 2007 -0700

    lint target needs to use AM_CFLAGS too

commit c2a336b187e1f78c3bfa8fad0f2cade6cf06071d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jul 23 16:42:40 2007 -0700

    Use AM_CFLAGS instead of setxkbmap_CFLAGS to avoid automake-1.10 warning
    
    Makefile.am:31: compiling `setxkbmap.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 75a5110558714d5f601235fdc5762aeef731f73d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Apr 17 11:34:43 2007 -0700

    Minor code cleanups (remove unused static and opencoding of strdup)

commit f5eb468f0ca87917488bdd8bdecf9e31fce88945
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Apr 17 11:17:13 2007 -0700

    Add rules for checking code with sparse/lint/etc.

commit 2d43b8fa9b21bcf9f5c289ab1afba3e73c42f661
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 16 20:34:31 2007 -0700

    Replace static ChangeLog with dist-hook to generate from git log

commit f7007821434313df1dc848a1e547922f65d4c7d5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 16 19:53:27 2007 -0700

    More man page cleanups (grammatical nits, etc.)

commit ca1e9f1cc9716a0cb751853cfb7b6b0ff6bb21d6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 16 19:43:31 2007 -0700

    Bug 7841: setxkbmap man page doesn't describe all switches
    
    Added descriptions for -device, -I, -keycodes, and -verbose/-v.
    
    X.Org Bugzilla #7841 <https://bugs.freedesktop.org/show_bug.cgi?id=7841>
    Reported upstream from
    Debian BTS #252631 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=252631>

commit 1dae768e463ddb3bbccd05291867eb1f7fcc6d97
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 16 19:22:18 2007 -0700

    renamed: .cvsignore -> .gitignore

commit e1424c8c8e5c0aeeba304d20cbe7c475c701c641
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Apr 16 19:21:52 2007 -0700

    Correct XKB data files path in man page
    
    Use path found by configure instead of hardcoding __projectroot__/lib/X11/xkb

commit c10ca0d0f886f01f48f6090eed0ed6d0364c0e47
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 2 03:39:09 2006 +0200

    bump to 1.0.3

commit 8e975edfadc068f9cc603d7c8b5f27067371161f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Oct 15 21:11:13 2006 +0300

    add support for extended devices
    Add a -device parameter, which allows setting the map on arbitary extended
    devices.

commit 7a56fb2fa2f0d49a8544f92b3821304f6ae7d78d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sun Oct 15 20:52:14 2006 +0300

    defaults: make the defaults a bit more modern
    Fix default path, bump default model from pc101 to pc105.

commit 6b195148c00b990923ad5de4d021d4eeacbede68
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Mar 10 09:09:12 2006 +0000

    Bump to 1.0.2; release.
    Initialise vd.variant and vd.variant to NULL when failing to get the active
        RMLVO components from the server.

commit 986fa213931e8d86ff0c1db7d6fe684b1fb92794
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:47 2005 +0000

    Update package version for X11R7 release.

commit f78664751580af7600ff56ba7893e468049582ef
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:41 2005 +0000

    Stub COPYING files

commit 18a904ff67a98ccd870f0d4124fa2286c6a9dcd3
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:04 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 9169e024c530c9ef60cd96263a9fe6000578ec0f
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 8 17:55:17 2005 +0000

    Add configure options to allow hard-coded paths to be changed.

commit 5e37a2d4e4b23b6f4d40e5d4f3d2d1520c5cf727
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:18 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 017cc2da18c70b6fcf16444b1236479999ff6f24
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:17 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 0207f788fa51e336dcf9d93dd2b814829beca9d7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:38 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit dc9758a53f1d3495dc8e020f7738dc985c131b1e
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:57 2005 +0000

    Another pass at .cvsignores for apps.

commit e8fea23dac64d343be9af90777b77c4ece76b1ea
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:49 2005 +0000

    Add/improve .cvsignore files for apps.

commit fbcb6a1b247f6789cf5d2f16e31b3266473fffa4
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:20 2005 +0000

    Update package version number for X11R7 RC2 release.

commit ee92bd69fbe2b31629a1f9d87d464113ca8f0721
Author: Donnie Berkholz <spyderous@gentoo.org>
Date:   Thu Oct 20 22:17:26 2005 +0000

    Bug #4830 <https://bugs.freedesktop.org/show_bug.cgi?id=4830> Set
        DFLT_XKB_CONFIG_ROOT instead of using hard-coded default.

commit 7909f46a7ba31944be57b1574f70da82d8bfd385
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:50 2005 +0000

    Update package version number for RC1 release.

commit c856b9d6932fce0a199ca094a9130c0cef1bb404
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:20 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit ef156a1dd209e48588200154eb98d97d494c6b85
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:42 2005 +0000

    Use sed to fill in variables in man page

commit 8bfb654c46fc5a27183ff6109aa17c33f0350466
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:30 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit a727d14743a3d18723d31ee42f9e54c1a4e98599
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jul 27 01:54:17 2005 +0000

    Move manpages to section 1 instead of section m.

commit 5273d6fadca1eb3aca9d406a81b80aba9c32bb6a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:50 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit e04d3454c2e7b0390ccf61d9f6e0ca3d2a04dfb6
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 20:33:26 2005 +0000

    Build system for setxkbmap

commit 81fa26b0cde086ec0707096a942d773e7d6411ee
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:37 2004 +0000

    Merging XORG-CURRENT into trunk

commit 99566aece09d0b750267f48dc39552bbd1aae4bf
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:56 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 3994d4ee8ba772d63092e4cc2a14973af105dd97
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:54 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit d719f5ad11295655fb9d757e4172cecb5e99dc57
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit 4d09b800cde7710fb05491fcd7bb1d71b9e31054
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:57 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit a64d8c5f7f6604d323519090ba339900d9d585f2
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:03 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit bff1de092debc890f15dacc871698b9679db366a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    XFree86 4.3.0.1

commit cb8f1b8c472547e0f9804dc29c2f658772056faf
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:48:58 2003 +0000

    Initial revision
